#### D.15.2.20 normalFormEquation

Procedure from library `arnold.lib` (see arnold_lib).

Usage:
  normalFormEquation(N); N NormalForm of which the field N.normalFormEquation is filled using @ref(determineNormalForm) and using @ref(determineNormalFormEquation)

Return:
  N.normalFormEquation

Example:

    LIB "arnold.lib";
    ring R=0,(x,y),ds;
    poly g = x^4+2*x^2*y^2+y^4+x^(10)+y^(10);
    poly phix = x+y^2+x^2+x*y+x^2*y+x*y^3;
    poly phiy = y+y^2+2*x^2+x*y+y*x^2+y^2*x+x*y^4;
    map phi = R,phix,phiy;
    g=phi(g);
    Poly F = makePoly(g);
    NormalForm N;
    N = determineNormalForm(F);
    N = determineNormalFormEquation(N);
    normalFormEquation(N);
    ==> x^34+y^34+x^9*y+x*y^9+65536/25*x^2*y^2*e^16
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.